def numerical_integration(x_values_f,y_values_f,start_point): #In contrast to task52 this accepts different step_sizes between function values
    integrationSum = start_point
    y_values_F=[]
    for x in range(1,len(y_values_f)): #Start at one to allow the calculation of the timestep
        integrationSum = integrationSum + y_values_f[x]*(x_values_f[x]-x_values_f[x-1])
        y_values_F.append(integrationSum)
    return y_values_F



velocity_file = open("velocity_series.txt","r") #Open the text file

velocity_lines = velocity_file.readlines() #Store each line in a list

# we initialize our variables here
start_point = 0
function_values = []
times = []

for i in range(0,len(velocity_lines)):
    splitline = velocity_lines[i].split(" ") #split at the space
    if i == 0: #Are we in the first line?
        start_point = float(splitline[2]) # We know the start point is the third entry of the first line
    else: #all regular lines
        function_values.append(float(splitline[2])) # We know the third element is always velocity
        times.append(float(splitline[0]))           # We know the first element is the time
    
myIntegration = numerical_integration(times, function_values, start_point)

print(myIntegration)



velocity_file.close() #Close the file again